
Smart Proxy - Bug #13028

foreman-proxy has error "Couldn't enable plugin dhcp_isc" on every restart

01/06/2016 01:06 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee:    

Category: Plugins   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/364

  

Description

I've tried to set :enable:false in the settings.d and the error continues to appear. The proxy says it is active and running but the error

is concerning.

E, [2016-01-06T03:10:02.398704 #11034] ERROR -- : Couldn't enable plugin dhcp_isc: File at '/etc/d

hcp/dhcpd.conf' defined in 'config' parameter doesn't exist or is unreadable

Related issues:

Related to Smart Proxy - Bug #13600: Templates module not marked as failed wh... Closed 02/08/2016

Associated revisions

Revision 53e560fe - 02/19/2016 05:24 AM - Dmitri Dolguikh 

Fixes #13028: provider will not be configured if the main plugin is disabled

Also made plugin initialization and configuration more testable.

History

#1 - 01/06/2016 01:07 PM - Anonymous

- Project changed from Foreman to Smart Proxy

- Category changed from Proxy gateway to Plugins

#2 - 01/14/2016 10:51 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#3 - 01/22/2016 01:06 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/364 added

#4 - 02/10/2016 07:06 AM - Dominic Cleal

- Related to Bug #13600: Templates module not marked as failed when foreman_url is missing added

#5 - 02/19/2016 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 53e560fe51c27584c5ab9acc0a4ffefdbc79088a.

#6 - 02/22/2016 10:45 AM - Dominic Cleal
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/53e560fe51c27584c5ab9acc0a4ffefdbc79088a


- translation missing: en.field_release set to 71

#7 - 04/21/2016 02:52 AM - Lukas Zapletal

For the record, root cause of your error was most likely upgrade of dhcp daemon package which reset permissions on /etc/dhcp directory and config

files. To fix this use:

chown -R root:foreman-proxy /etc/dhcp

 I wonder if it makes sense to do this in foreman-proxy post installation scriplet. Puppet does this, but users don't run it during upgrades...

Powered by TCPDF (www.tcpdf.org)

05/21/2024 2/2

http://www.tcpdf.org

